| GET POST | /RestApi/Sitefinity/packaging/add-on |
|---|
| Name | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| Id | body | Guid | No | |
| IncludeContent | body | bool | No | |
| Deactivate | body | bool | No |
| Name | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| Id | form | Guid | No | |
| Name | form | string | No | |
| IsActive | form | bool | No | |
| Description | form | string | No | |
| IsDataImported | form | bool | No | |
| Version | form | string | No | |
| Author | form | string | No | |
| DataImportedToSiteName | form | string | No | |
| Entries | form | ICollection<AddOnEntry> | No | |
| HasErrorsOnContentImport | form | bool | No | |
| HasErrorsOnStructureImport | form | bool | No | |
| HasErrorsOnActivate | form | bool | No |
| Name | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| DisplayName | form | string | No | |
| Count | form | int | No | |
| AddonEntryType | form | AddOnEntryType | No |
| Content | |
| Template | |
| Custom | |
| Module | |
| Form | |
| Classification | |
| WebService |
To override the Content-type in your clients, use the HTTP Accept Header, append the .jsv suffix or ?format=jsv
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
POST /RestApi/Sitefinity/packaging/add-on HTTP/1.1
Host: www.asg.com.au
Accept: text/jsv
Content-Type: text/jsv
Content-Length: length
{
IncludeContent: False,
Deactivate: False
}
HTTP/1.1 200 OK
Content-Type: text/jsv
Content-Length: length
{
Name: String,
IsActive: False,
Description: String,
IsDataImported: False,
Version: String,
Author: String,
DataImportedToSiteName: String,
HasErrorsOnContentImport: False,
HasErrorsOnStructureImport: False,
HasErrorsOnActivate: False
}